	.MODEL	SMALL
PPIA	EQU	0300H
PPIB	EQU	PPIA+1
PPIC	EQU	PPIA+2
PPICTRL	EQU	PPIA+3
	.CODE			;Begin van het codesegment.
	MOV	AL,93H		;Schakel PA7 t/m PA0, PB7 t/m PB0 en
	MOV	DX,PPICTRL	;PC3 t/m PC0 als inputs.
	OUT	DX,AL		;Schakel PC7 t/m PC4 als outputs.
LUS:	MOV	DX,PPIB		;REPEAT
	IN	AL,DX
	MOV	BL,AL		;   Lees PB7 t/m PB0 in BL.
	MOV	DX,PPIA
	IN	AL,DX		;   Lees PA7 t/m PA0 in AL.
	CMP	AL,BL		;   Vergelijk AL met BL.
	JNE	ANDERS		;   IF AL=BL
	MOV	AL,0F0H		;   THEN
	MOV	DX,PPIC
	OUT	DX,AL		;      PC7 t/m PC4 = 1111.
ANDERS:	MOV	AL,0		;   ELSE
	MOV	DX,PPIC
	OUT	DX,AL		;      PC7 t/m PC4 = 0000.
	IN	AL,DX		;   lees PC7 t/m PC0.
	AND	AL,0FH		;   reset bit 7 t/m bit 0.
	JNE	LUS		;UNTIL PC3 t/m PC0 = 0000.
	MOV	AH,4CH		;Sluit het programma af en keer terug naar OS.
	INT	21H
	END